/*
 * Copyright (c) 2012-2014 Wind River Systems, Inc.
 *
 * SPDX-License-Identifier: Apache-2.0
 */

#include <zephyr/kernel.h>
#include <stdio.h>

void main(void)
{
	printk("Hello World! %s\n", CONFIG_BOARD);

	double f = 46.692345;
	
	printk("printk: %f\n", f);

	printf("printf: %f\n", f);

	char buf[32] = {0};
	sprintf(buf, "%f", f);
	printk("printk sprintf: %s\n", buf);
	printf("printf sprintf: %s\n", buf);
}
